<div id="header" class="header">
    <div class="company-icon" [innerHTML]="document.companyLogoSVG | safeHtml"></div>

    <div class="company-title">
        <h1 class="company-name">{{ document.companyName }}</h1>

        <h2 class="company-description">{{ document.companyDescription }}</h2>
    </div>

    <div class="company-information">
        <p [ngClass]="{'editable': isEdit, 'author': true}" 
            [attr.contenteditable]="isEdit" 
            (focusout)="onChangeContent('author', $event);">
            {{ document.author }}
        </p>

        <p [ngClass]="{'editable': isEdit, 'company-address': true}" 
            [attr.contenteditable]="isEdit" 
            (focusout)="onChangeContent('companyAddress', $event);">
            {{ document.companyAddress }}
        </p>

        <p [ngClass]="{'editable': isEdit, 'company-phone-number': true}" 
            [attr.contenteditable]="isEdit"
            (focusout)="onChangeContent('companyTelephone', $event);">
            {{ document.companyTelephone }}
        </p>
    </div>

    <p [ngClass]="{'editable': isEdit, 'company-email': true}" 
        [attr.contenteditable]="isEdit"
        (focusout)="onChangeContent('companyEmail', $event);">
        {{ document.companyEmail }}
    </p>

    <div [ngClass]="{'editable': isEdit, 'client-information': true}">
        <p class="client-name" 
            [attr.contenteditable]="isEdit"
            (focusout)="onChangeContent('clientName', $event);">
            {{ document.clientName }}
        </p>

        <p class="client-address" 
            [attr.contenteditable]="isEdit"
            (focusout)="onChangeContent('clientAddress', $event);">
            {{ document.clientAddress }}
        </p>
    </div>

    <p class="do-at-on">
        <span [ngClass]="{'editable': isEdit}" 
            [attr.contenteditable]="isEdit"
            (focusout)="onChangeContent('creationLocation', $event);">
            {{ document.creationLocation }}
        </span> le {{ document.creationDate | date }}
    </p>

    <h3 class="document-reference">{{ document.type == 'QUOTATION' ? 'Devis' : 'Facture' }} n°{{ document.reference }}</h3>
    
    <h4 class="document-subject">
        <span class="subject-label">
            Objet :
        </span>

        <span [ngClass]="{'editable': isEdit}" 
            [attr.contenteditable]="isEdit"
            (focusout)="onChangeContent('subjet', $event);">
            {{ document.subjet }}
        </span>
    </h4>
</div>